Bug 236301 - rmmod netconsole module hangs with 100% CPU
rmmod netconsole module hangs with 100% CPU
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
Depends On:
Blocks: 427887
  Show dependency treegraph
Reported: 2007-04-12 18:31 EDT by David Rees
Modified: 2008-01-10 01:44 EST (History)
3 users (show)

See Also:
Fixed In Version: kernel-
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-01-10 01:44:52 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description David Rees 2007-04-12 18:31:25 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv: Gecko/20070309 Firefox/

Description of problem:
When trying to unload the netconsole module, for example when trying to reconfigure the module, the command hangs with the kernel in an apparent 100% system time CPU loop.

Rebooting the system is the only way I can figure out how to recover.

There have been a couple posts on linux-kernel regarding this, but no solution yet.


Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. modprobe netconsole module
2. rmmod netconsole
3. *hang*

Actual Results:

Expected Results:

Additional info:
As an aside, the netdump package is fairly broken, it still tries to load the netdump module which doesn't even exist.
Comment 1 Chuck Ebbert 2007-04-17 19:46:26 EDT
Final post:

Comment 2 Zoltan Arpadffy 2007-11-23 22:42:35 EST

I wonder is there any development here?
It passed almost a year and the bug still exists.

If the netconsole service is enabled it is not possible to halt/reboot the box.

root      5324  0.0  0.1   4648  1220 pts/1    S+   04:27   0:00  
|                   \_ /bin/sh /sbin/service netconsole stop
root      5331  0.0  0.1   4700  1284 pts/1    S+   04:27   0:00  
|                       \_ /bin/bash /etc/init.d/netconsole stop
root      5341 94.5  0.0   1716   448 pts/1    R+   04:27   2:39  
|                           \_ rmmod netconsole

# uname -r

Thank you in advance.

Comment 3 Jon Stanley 2008-01-07 20:47:48 EST
(This is a mass-update to all current FC6 kernel bugs in NEW state)


I'm reviewing this bug list as part of the kernel bug triage project, an attempt
to isolate current bugs in the Fedora kernel.


I am CC'ing myself to this bug, however this version of Fedora is no longer

Please attempt to reproduce this bug with a current version of Fedora (presently
Fedora 8). If the bug no longer exists, please close the bug or I'll do so in a
few days if there is no further information lodged.

Thanks for using Fedora!
Comment 4 Zoltan Arpadffy 2008-01-08 16:15:11 EST

I confirm that this ug is reproducible on:

# uname -a
Linux gate.polarhome.com 2.6.21-1.3194.fc7 #1 SMP Wed May 23 22:35:01 EDT 2007 
i686 i686 i386 GNU/Linux
# cat /etc/fedora-release
Fedora release 8 (Werewolf)

Thank you.

Comment 5 Jon Stanley 2008-01-08 16:41:12 EST
Hmmm, you have a most interesting system.  An F7 kernel on a (purportedly) F8
system?  How did you upgrade? The kernel that you are running is the GA version
from F7 anyways, which is over 6 months old at this point.  Please try upgrading
to at least and attempt to reproduce.  I could not reproduce
this on that kernel, but I also do not have a valid netconsole setup - I just
loaded it up with some dummy values and unloaded it (which worked fine).

[root@dhcp-126 ~]# modprobe netconsole netconsole=
[root@dhcp-126 ~]# lsmod | fgrep netconsole
netconsole              6881  0
[root@dhcp-126 ~]# rmmod netconsole
[root@dhcp-126 ~]# lsmod | fgrep netconsole
[root@dhcp-126 ~]# uname -a
Linux dhcp-126 #1 SMP Fri Dec 7 15:49:59 EST 2007 i686 i686 i386

Comment 6 Jeffrey Moyer 2008-01-08 17:01:29 EST
There were a bunch of changes to the workqueue cancellation code that may have
fixed this problem.  I was unable to reproduce it on 2.6.24-rc7;  sorry, I don't
have an f8 box handy for testing.

Reproducing the bug likely requires a working netconsole configuration
(something that is quite easily achieved).  I tried to reproduce (as I said, on
2.6.24) using a while loop that issued sysrq-t's while another loop
insmod/rmmod'd the netconsole module.

Could the reporter please upgrade his kernel and try again (as suggested by Jon)?
Comment 7 David Rees 2008-01-10 01:43:47 EST
I can no longer reproduce this on Fedora 8 using kernel- This
bug should be safe to close.

Note You need to log in before you can comment on or make changes to this bug.